Arjia
ApiReference

List positions

Retrieve all liquidity positions for the authenticated user.

GET
/positions

Retrieve all liquidity positions for the authenticated user.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

status?string

Filter by position status

Value in"active" | "closed" | "pending"
chain?string

Filter by blockchain network

Value in"ethereum" | "solana" | "bsc" | "arbitrum" | "base"
limit?integer

Maximum number of results to return

Default20
Rangevalue <= 100
offset?integer

Number of results to skip

Default0

Response Body

application/json

application/json

curl -X GET "https://api.arjia.city/positions"
{
  "data": [
    {
      "id": "string",
      "chain": "ethereum",
      "protocol": "string",
      "pool": "string",
      "tokenA": {
        "symbol": "string",
        "address": "string",
        "amount": "string",
        "valueUsd": 0
      },
      "tokenB": {
        "symbol": "string",
        "address": "string",
        "amount": "string",
        "valueUsd": 0
      },
      "status": "active",
      "priceLower": 0,
      "priceUpper": 0,
      "currentPrice": 0,
      "feesEarnedUsd": 0,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}
{
  "message": "Unauthorized",
  "statusCode": 401
}